commit: 8c727e32176dc54f86e727a931869cc89b948e48
Author: Itai Ferber <itai <AT> itaiferber <DOT> net>
AuthorDate: Wed Feb 25 12:58:24 2026 +0000
Commit: Itai Ferber <itai <AT> itaiferber <DOT> net>
CommitDate: Wed Feb 25 12:58:24 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8c727e32
net-vpn/mullvadvpn-app: add 2026.1_beta1
Signed-off-by: Itai Ferber <itai <AT> itaiferber.net>
net-vpn/mullvadvpn-app/Manifest | 2 +
.../mullvadvpn-app-2026.1_beta1.ebuild | 155 +++++++++++++++++++++
2 files changed, 157 insertions(+)
diff --git a/net-vpn/mullvadvpn-app/Manifest b/net-vpn/mullvadvpn-app/Manifest
index 71ec943d6b..c56163d55b 100644
--- a/net-vpn/mullvadvpn-app/Manifest
+++ b/net-vpn/mullvadvpn-app/Manifest
@@ -1,2 +1,4 @@
DIST MullvadVPN-2025.14_aarch64.rpm 89062049 BLAKE2B
34102379a7ae4526b5b0e48fd2e7efe3cb9e791ccfce8dc18e677b657ce5e26dadae4335c0430aad32a122aebac5b6be1b5435136f8287762a744adb5e386af3
SHA512
186b050b48675d82693da72cbad149c501b8fa66b721daf6236ca41b84d1ab63b0e7ba94c0a43616f9b1851c10bd9c7a63a5ea73b6a1840478fbf4d38ab1c7c4
DIST MullvadVPN-2025.14_x86_64.rpm 95157225 BLAKE2B
277ad993c19db4813a829e2ac4de66019736f331022ee0d5b8db5fe6d3ecde42c0e251161321201c2986df700915907825309153f5e0703b6e38f4e085110f11
SHA512
0dc3ccec3aa4e20a8fc2322d585f0a73c7355707f2c1372b44b9ac011d11523b967cf14825f883cf9d8d901ad1a1b2731349230ebb877b848ef5303df15f5192
+DIST MullvadVPN-2026.1-beta1_aarch64.rpm 86852185 BLAKE2B
855b227779f3a67d6acfdd477df4af212d605b71d4b8110bcb1d85da147e880065d0338f76cc851e3eebd3ade409a4a30287630da9eda1aeb9d40dcf91c429eb
SHA512
0b1312a35ecfe9670e04b241ca16bf56577b3b5a6caacb11eacbd44606ec0e6defe09e445172f9022399d906b431c296b4e93002a1022d36b3f5045b53af0589
+DIST MullvadVPN-2026.1-beta1_x86_64.rpm 92646577 BLAKE2B
fff32b4ecff16568858bb3a58a08dbb8921bb195f1b086367fc9093d87c6e97a19a4258ab3cda979f3507d92e777d4bb24dcb67ec98afb3e1555a05fbcb4f6aa
SHA512
271955b28ce10736291300afa187eae196f4b779eb7fd39df90007ec56b5f6e4b6e574438cc3e2ebc4cb367889a71571891870b72c3fc9c239e7e8d8794d88eb
diff --git a/net-vpn/mullvadvpn-app/mullvadvpn-app-2026.1_beta1.ebuild
b/net-vpn/mullvadvpn-app/mullvadvpn-app-2026.1_beta1.ebuild
new file mode 100644
index 0000000000..c14365654e
--- /dev/null
+++ b/net-vpn/mullvadvpn-app/mullvadvpn-app-2026.1_beta1.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop rpm systemd shell-completion xdg
+
+MYPV="${PV/_beta/-beta}"
+DESCRIPTION="Tool used to manage daemon setup"
+HOMEPAGE="https://github.com/mullvad/mullvadvpn-app https://mullvad.net/"
+SRC_URI="
+ amd64? (
https://github.com/mullvad/mullvadvpn-app/releases/download/${MYPV}/MullvadVPN-${MYPV}_x86_64.rpm
)
+ arm64? (
https://github.com/mullvad/mullvadvpn-app/releases/download/${MYPV}/MullvadVPN-${MYPV}_aarch64.rpm
)
+"
+
+S="${WORKDIR}"
+LICENSE="GPL-3"
+SLOT="0"
+
+# Betas are kept unkeyworded; users can opt in to testing by accepting '**'
instead of '~amd64'/
+# '~arm64' keywords.
+#
+# See https://bugs.gentoo.org/966989
+if [[ "${PV}" != *_beta* ]]; then
+ KEYWORDS="-* ~amd64 ~arm64"
+fi
+
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+ app-accessibility/at-spi2-core:2
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/mesa
+ net-print/cups
+ sys-apps/dbus
+ x11-libs/cairo
+ x11-libs/gtk+:3
+ x11-libs/libdrm
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libxkbcommon
+ x11-libs/libXrandr
+ x11-libs/pango
+ || (
+ net-firewall/nftables
+ net-firewall/iptables[nftables]
+ )
+"
+
+QA_PREBUILT="*"
+
+src_install() {
+ sed -i "s|SCRIPT_DIR=.*|SCRIPT_DIR=\"/opt/Mullvad VPN/\"|g"
"${S}/opt/Mullvad VPN/mullvad-vpn" || die
+
+ # Using doins -r would strip executable bits from all binaries
+ cp -pPR opt "${D}"/ || die "Failed to copy files"
+ fperms +x "/opt/Mullvad VPN/chrome_crashpad_handler"
+ fperms 4755 "/opt/Mullvad VPN/chrome-sandbox"
+
+ dobin ./usr/bin/mullvad
+ dobin ./usr/bin/mullvad-daemon
+ dobin ./usr/bin/mullvad-exclude
+ dosym -r "/opt/Mullvad VPN/mullvad-vpn" /usr/bin/mullvad-vpn
+ dosym -r "/opt/Mullvad VPN/resources/mullvad-problem-report"
/usr/bin/mullvad-problem-report
+
+ # mullvad-exclude uses cgroups to manage exclusions, which requires
root permissions, but is
+ # also most often used to exclude graphical applications which can't or
shouldn't run as root
+ # (i.e., can't be run under `sudo/doas /usr/bin/mullvad-exclude ...`,
because `sudo`/`doas`
+ # change user). The setuid bit allows any user to exclude executables
under their own UID.
+ fperms 4755 /usr/bin/mullvad-exclude
+
+ newinitd "${FILESDIR}"/mullvad-daemon.initd mullvad-daemon
+
+ systemd_newunit ./usr/lib/systemd/system/mullvad-daemon.service
mullvad-daemon.service
+ systemd_newunit
./usr/lib/systemd/system/mullvad-early-boot-blocking.service
mullvad-early-boot-blocking.service
+
+ newbashcomp ./usr/share/bash-completion/completions/mullvad mullvad
+ newfishcomp ./usr/share/fish/vendor_completions.d/mullvad.fish mullvad
+ newzshcomp ./usr/share/zsh/site-functions/_mullvad _mullvad
+
+ domenu ./usr/share/applications/mullvad-vpn.desktop
+ local x
+ for x in 16 32 48 64 128 256 512 1024; do
+ doicon -s "${x}"
"./usr/share/icons/hicolor/${x}x${x}/apps/mullvad-vpn.png"
+ done
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+
+ if [[ -z ${REPLACED_BY_VERSION} ]]; then
+ if ! command -v pgrep &>/dev/null || pgrep -f
"mullvad-(daemon|gui)"; then
+ elog "Mullvad has been uninstalled. To stop the
service,"
+ elog "1. Quit the Mullvad app"
+ elog " * Manually: 'Disconnect & quit' from the
Mullvad menu"
+ elog " OR"
+ elog " * Command line: pkill -f mullvad-gui"
+ elog "2. Stop the daemon"
+ elog " * OpenRC: rc-service mullvad-daemon stop"
+ elog " OR"
+ elog " * systemd: systemctl stop mullvad-daemon"
+ elog " OR"
+ elog " * other: pkill -f mullvad-daemon"
+ fi
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ if command -v pgrep &>/dev/null && pgrep -f
"mullvad-(daemon|gui)" &>/dev/null; then
+ elog "Mullvad has been updated. To restart the service,"
+ elog "1. Restart the daemon"
+ elog " * OpenRC: rc-service mullvad-daemon restart"
+ elog " OR"
+ elog " * systemd: systemctl restart mullvad-daemon"
+ elog "2. Restart the app"
+ elog " * Manually: 'Disconnect & quit' from the
Mullvad menu and relaunch using"
+ elog " your preferred desktop launcher"
+ elog " OR"
+ elog " * Command line: pkill -f mullvad-gui &&
'/opt/Mullvad VPN/mullvad-vpn' & disown"
+ else
+ elog "Mullvad has been updated. To start the service,"
+ elog "1. Start the daemon"
+ elog " * OpenRC: rc-service mullvad-daemon start"
+ elog " OR"
+ elog " * systemd: systemctl start mullvad-daemon"
+ elog "2. Launch the app"
+ elog " * Manually: use your preferred desktop
launcher"
+ elog " OR"
+ elog " * Command line: '/opt/Mullvad VPN/mullvad-vpn'
& disown"
+ fi
+ else
+ elog "Mullvad has been installed. To start the service,"
+ elog "1. Enable and start the daemon"
+ elog " * OpenRC: rc-update add mullvad-daemon default"
+ elog " rc-service mullvad-daemon start"
+ elog " OR"
+ elog " * systemd: systemctl enable mullvad-daemon"
+ elog " systemctl start mullvad-daemon"
+ elog "2. Launch the app"
+ elog " * Manually: use your preferred desktop launcher"
+ elog " OR"
+ elog " * Command line: '/opt/Mullvad VPN/mullvad-vpn' &
disown"
+ fi
+}